Subject: [Fot] Billet Valve Covers

From: Tony Sheach via Fot <[email-masked]>
Date: Sat, 21 Jan 2023 17:27:29 +0000

Hi all

I’ve had another batch of my billet alloy valve covers made if anyone wants one? Pm me off list or email me at [email-masked] 

These are really top quality machined from a billet high quality material, no leaks or twisting. 3mm viton O ring gasket seal to the head, viton o ring sealed threaded oil cap and fixing pedestals, AN10 breathers (or blanks) both sides. No leaks even at full Rev pressures, as I use on my own rally car.

If anyone wanted to take a batch and sell in the USA I can ship a max of 12, with all fittings. 

Regards
Tony 

Sent from my iPad
_______________________________________________
[email-masked]

http://www.fot-racing.com

Donate: http://www.team.net/donate.html
Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot
Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]